crashpad::ProcessReaderLinux::Module Struct Reference

Contains information about a module loaded into a process. More...

`#include "snapshot/linux/process_reader_linux.h"`

## Public Attributes

std::string | name
| The pathname used to load the module from disk.
ElfImageReader * | elf_reader
| An image reader for the module. More...
ModuleSnapshot::ModuleType | type
| The module's type.

## Detailed Description

Contains information about a module loaded into a process.

## Member Data Documentation

## elf_reader

ElfImageReader* crashpad::ProcessReaderLinux::Module::elf_reader

An image reader for the module.

The lifetime of this ElfImageReader is scoped to the lifetime of the ProcessReaderLinux that created it.

This field may be `nullptr` if a reader could not be created for the module.

The documentation for this struct was generated from the following files:

- snapshot/linux/process_reader_linux.h
- snapshot/linux/process_reader_linux.cc